# std::_Sp_counted_base< _Lp > Class Template Reference

Inheritance diagram for std::_Sp_counted_base< _Lp >:

List of all members.

## Detailed Description

### template<_Lock_policy _Lp = __default_lock_policy>
class std::_Sp_counted_base< _Lp >

Definition at line 109 of file boost_sp_counted_base.h.

## Public Member Functions

- void _M_add_ref_copy ()
- template<> void _M_add_ref_lock ()
- template<> void _M_add_ref_lock ()
- template<> void _M_add_ref_lock ()
- void _M_add_ref_lock ()
- virtual void _M_destroy ()
- virtual void _M_dispose ()=0
- virtual void * _M_get_deleter (const std::type_info &)=0
- long _M_get_use_count () const
- void _M_release ()
- void _M_weak_add_ref ()
- void _M_weak_release ()
- _Sp_counted_base ()
- virtual ~_Sp_counted_base ()

## Protected Types

- enum { _S_need_barriers }

The documentation for this class was generated from the following file:

- boost_sp_counted_base.h